General
cancel
Showing results for 
Search instead for 
Did you mean: 

Compile Subversion 1.4.6 on HP-UX Itanium 11.31

tomby
Occasional Visitor

Compile Subversion 1.4.6 on HP-UX Itanium 11.31

Hi,
I am trying to compile an older version of Subversion 1.4.6 on HP-UX Itanium 11.31 and I am running into problems with it not finding zlib files. I do have the zlib depot install on the system. Does anyone know how to fix this?

This is the error mesage I get:
checking for symlink... yes
checking for readlink... yes
checking zlib.h usability... yes
checking zlib.h presence... yes
checking for zlib.h... yes
checking for inflate in -lz... no
configure: error: subversion requires zlib

Thanks
5 REPLIES
Steven E. Protter
Exalted Contributor

Re: Compile Subversion 1.4.6 on HP-UX Itanium 11.31

Shalom,

http://hpux.connect.org.uk/hppd/hpux/Misc/zlib-1.2.3/

Install that and any indicated dependencies.

Be careful because even missing dependencies of dependencies can cause this not to work

SEP
Steven E Protter
Owner of ISN Corporation
http://isnamerica.com
http://hpuxconsulting.com
Sponsor: http://hpux.ws
Twitter: http://twitter.com/hpuxlinux
Founder http://newdatacloud.com
tomby
Occasional Visitor

Re: Compile Subversion 1.4.6 on HP-UX Itanium 11.31

I have zlib downloaded and installed from the link provided already. Along with dependencies.

http://hpux.connect.org.uk/hppd/hpux/Misc/zlib-1.2.3/

Thanks
Steve
Steven Schweda
Honored Contributor

Re: Compile Subversion 1.4.6 on HP-UX Itanium 11.31

> [...] I do have the zlib depot install on
> the system. [...]

> configure: error: subversion requires zlib

Seems to be some disagreement about this.

> I have zlib downloaded and installed [...]

As usual, it might help to see the actual
commands you used to do these things.

Looking at the "configure" script and/or its
log files might reveal exactly what it's
looking for, what it did, and what failed
when it did it. Apparently, it's looking
for something zlib-related, but it's not
finding it, or else it's not happy with what
it found.

Where did your zlib stuff get installed?
Sameer_Nirmal
Honored Contributor

Re: Compile Subversion 1.4.6 on HP-UX Itanium 11.31

You may want to include the installed zlib path in $PATH. Also you need to include CPPFLAGS="-I" and --with-zlib= for zlib with configure.
Steven Schweda
Honored Contributor

Re: Compile Subversion 1.4.6 on HP-UX Itanium 11.31

I tried building Subversion 1.6.6 (apparently
the current version), after building zlib
1.2.3 from the sources (and installing in the
default "/usr/local/..." place(s)). That
"configure" script seemed to have no trouble
finding that zlib:

[...]
checking for readlink... yes
checking zlib.h usability... yes
checking zlib.h presence... yes
checking for zlib.h... yes
checking for inflate in -lz... yes
[...]


> Also you need to include CPPFLAGS="-I"
> [...]

To me, that looks unwise.

> and --with-zlib= for zlib with
> configure.

_That_ might be useful, if zlib wasn't
installed in some expected place(s).